<?xml version="1.0" encoding="utf-8"?>
<Config>
    <Global>
        <HDCCalibW>3968</HDCCalibW> <!-- v600字节标定没有存分辨率，需要指定 -->
        <HDCCalibH>2976</HDCCalibH> 
        <MainCameraID1>2</MainCameraID1> <!-- 双目第一组模组送显对应的cameraID-->
        <MainCameraID2>8</MainCameraID2> <!-- 双目第二组模组送显对应的cameraID-->
        <CameraID2FocalLengthFactor>2</CameraID2FocalLengthFactor> <!-- 视差转深度 fb 需要除以该系数(tele 镜头) 得到相对深度-->
    </Global>
    
    <AlgorithmPreprocessInfo>
        <distortionAlg enable="1">
            <brownEnable>1</brownEnable>        <!-- 0: disable 1: enable -->
            <bsplineEnable>1</bsplineEnable>    <!-- 0: disable 1: enable -->
        </distortionAlg>
        
        <OTPRectifyEnable>1</OTPRectifyEnable>     <!-- 0: disable 1: enable -->            
        
        <selfLearnAlg enable="1">           <!-- 0: disable 1: enable -->
            <!-- todo -->
        </selfLearnAlg>
        
        <brightnessColorAdjustEnable>1</brightnessColorAdjustEnable>
        <brightnessGrayAdajustEnable>1</brightnessGrayAdajustEnable>
        <onlineDistortionEnable>1</onlineDistortionEnable>
        <multipleOf8Enable>1</multipleOf8Enable>   <!-- 输入图宽高非8字节对齐校正，仅HL手机开启-->
    </AlgorithmPreprocessInfo>
    
    <AlgorithmDCInfo>
        <portraitSegmentAlg enable="1">     <!-- 0: disable 1: enable -->
            <modelWidth>451</modelWidth>
            <modelHeight>451</modelHeight>
            <modelPath>/vendor/etc/camera/cnnmodel/dualcamera/DualCamera_BC_PortraitSeg.cambricon</modelPath>
            <isSoftmax>1</isSoftmax>
            <normData>0</normData> <!-- 0, 不归一化，1，只减均值， 2 减均值并除以255 -->
        </portraitSegmentAlg>

        <AIDepthAlg enable="1">     <!-- 0: disable 1: enable -->
            <modelWidth>448</modelWidth>
            <modelHeight>448</modelHeight>
            <modelPath>/vendor/etc/camera/cnnmodel/dualcamera/TofCompletionPhaseA.cambricon</modelPath>
            <isSoftmax>0</isSoftmax>
            <normData>1</normData>
        </AIDepthAlg>

        <TwoPlaneAlgCfg enable="1">     <!-- 0: disable 1: enable -->
            <modelWidth>704</modelWidth>
            <modelHeight>704</modelHeight>
            <modelPath>/vendor/etc/camera/cnnmodel/dualcamera/PCTClas_withaug_5w.cambricon</modelPath>
            <isSoftmax>1</isSoftmax>
            <normData>0</normData>
        </TwoPlaneAlgCfg>
        
        <sparseDispAlg enable="1">          <!-- 0: disable 1: enable -->
            <DCEAlg enable="0">
                <baseConfig>
                    <ratio>1</ratio>    <!-- {1, 2} output resolution width/ratio-->
                    <lrcheckEnable>0</lrcheckEnable>
                </baseConfig>
                <externConfig enable="0">
                    <lrcheckEnable> 0 </lrcheckEnable>
                </externConfig>
            </DCEAlg>
            <DMAPAlg enable="1">
                <dmapVersion>2</dmapVersion>     <!--0:v150, 1:v160, 2:v200, 3:v250, ... 15:unknown-->
                <baseConfig>
                    <lrcheckEnable>1</lrcheckEnable>
                </baseConfig>
                <externConfig enable="1">
                    <lrcheckEnable>0</lrcheckEnable>
                </externConfig>
            </DMAPAlg>
            
            <sparseOptAlg> 
                <occOptEnable>1</occOptEnable>           <!-- 0: disable 1: enable -->
                <connectFillEnable>0</connectFillEnable> 
                <blackFillEnable>1</blackFillEnable>    <!-- 0: disable 1: enable -->
                <skyOptEnable>1</skyOptEnable>          <!-- 0: disable 1: enable -->
                <subPixelsEnable>0</subPixelsEnable>    <!-- hl always close -->
                <portraitMaskOptInterEnable>1</portraitMaskOptInterEnable>    
                <portraitMaskOptOuterEnable>0</portraitMaskOptOuterEnable>    
            </sparseOptAlg>
        </sparseDispAlg>
        
        <denseDispAlg>
            <opticalFlowAlg>
                <ratio>1</ratio>                  <!-- {1, 2} output resolution width/ratio-->
                <occEnable>1</occEnable>            <!-- 0: disable 1: enable -->
                <headOptInterEnable>1</headOptInterEnable>    <!-- 0: disable 1: enable -->
                <headOptOuterEnable>0</headOptOuterEnable>    <!-- 0: disable 1: enable -->
            </opticalFlowAlg>
            
            <denseOptAlg>
                <fingerEnable>1</fingerEnable>            <!-- 0: disable 1: CNN Segment, 2: GMM   -->
                <fingerModelPath>/vendor/etc/camera/cnnmodel/dualcamera/DualCamera_BC_HandDetect.cambricon</fingerModelPath>
                <fingerSegModelWidth>224</fingerSegModelWidth>
                <fingerSegModelHeight>224</fingerSegModelHeight>
                <fingerSegModelPath>/vendor/etc/camera/cnnmodel/dualcamera/DualCamera_BC_FingerSeg.cambricon</fingerSegModelPath>
                <fingerSegIsSoftmax>1</fingerSegIsSoftmax>
                <fingerSegNormData>0</fingerSegNormData>
                <deburrEnable>1</deburrEnable>            <!-- 0: disable 1: enable -->
                <portraitPlaneEnable>1</portraitPlaneEnable>    <!-- 0: disable 1: enable -->
                <cropAdaptEnable>1</cropAdaptEnable>
                <twoPlaneMode>1</twoPlaneMode>                          <!-- cherry -- //1:对概率值双边二值化 0:对深度值双边 -->
                <numTwoPlaneHoleThres>10</numTwoPlaneHoleThres>          <!-- cherry场景镂空数阈值 -->
                <fewHoleFrontVariance>57</fewHoleFrontVariance>          <!-- cherry场景少镂空时前景方差阈值 -->
                <fewHoleBackVariance>50</fewHoleBackVariance>            <!-- cherry场景少镂空时后景方差阈值 -->
                <manyHoleFrontVariance>110</manyHoleFrontVariance>        <!-- cherry场景多镂空时前景方差阈值 -->
                <manyHoleBackVariance>80</manyHoleBackVariance>            <!-- cherry场景多镂空时前景方差阈值 -->
                <fewHoleNotPortraitValidRatio>40</fewHoleNotPortraitValidRatio>               <!-- cherry场景少镂空时非人像稠密度阈值 -->
                <manyHoleNotPortraitValidRatio>30</manyHoleNotPortraitValidRatio>               <!-- cherry场景多镂空时非人像稠密度阈值 -->
                <cherry_seg_switch>1</cherry_seg_switch>                   <!-- cherry场景多镂空时非人像稠密度阈值 -->
            </denseOptAlg>
        </denseDispAlg>
    </AlgorithmDCInfo>
    
    <AlgorithmRFInfo>
        <frontFilterEnable>1</frontFilterEnable>        <!-- 0: disable 1: enable -->
        <edgeFilterEnable>1</edgeFilterEnable>          <!-- 0: disable 1: enable -->
        <blurEnhanceRatio>1.0</blurEnhanceRatio>                      <!--  [0.5, 2.0] -->
        <dofEnhanceRatio>1.0</dofEnhanceRatio>                       <!--  [0.5, 5.0] -->
        <spotTh>220</spotTh>                            <!--  [80, 255] -->
        <spotBrightnessEnhanceRatio>1.0</spotBrightnessEnhanceRatio>        <!--  [0.5, 5.0] -->
        <errorSpotOptEnable>1</errorSpotOptEnable>        <!-- 错误光斑检测-->
        <portraitBlurEnhanceRatio>1.0</portraitBlurEnhanceRatio>      <!--  [0.5, 2.0] -->
        <spotEnhanceEnable>1</spotEnhanceEnable>        

        <lowLightConnectAreaThRatio>70</lowLightConnectAreaThRatio>
        <outSideCircleConnectAreaThRatio>20</outSideCircleConnectAreaThRatio>
        <outSideOtherConnectAreaThRatio>40</outSideOtherConnectAreaThRatio>
        <srcWeightSwirlAndDiscsRatio>5</srcWeightSwirlAndDiscsRatio>
        <srcWeightHeartRatio>3</srcWeightHeartRatio>
        <portraitAutoAdjustFocusPointEnable>1</portraitAutoAdjustFocusPointEnable> <!--人像模式多人场景自动选择对焦人脸-->
        <noiseUniformEnable>1</noiseUniformEnable> <!--前后景噪声一致性-->
        <noiseUniformStrength>3</noiseUniformStrength> <!--噪声强度 [0, 10]-->
        <noiseUniformIsoTh>10</noiseUniformIsoTh> <!--iso阈值/10 [0, 255]-->
        <weightEnhanceCoefSpot>5</weightEnhanceCoefSpot> <!--光斑增强系数 [1, 30]-->
        <spotShapeAndContrastEnhanceEnable>1</spotShapeAndContrastEnhanceEnable> <!-- 0: disable 1: enable -->
        <dofEnhanceRatioAdaptiveEnabel>0</dofEnhanceRatioAdaptiveEnabel> <!--dof系数自适应-->
        <dofAdaptiveNearFocusDistanceThr>6</dofAdaptiveNearFocusDistanceThr> <!--近距离阈值[0,255]分米-->
        <dofAdaptiveFarFocusDistanceThr>20</dofAdaptiveFarFocusDistanceThr> <!--远距离阈值[0,255]分米-->
        <dofAdaptiveNearDofRatioThr>15</dofAdaptiveNearDofRatioThr> <!--近距离dof值[5,50]/10-->
        <dofAdaptiveFarDofRatioThr>10</dofAdaptiveFarDofRatioThr> <!--远距离dof值[5,50]/10-->
	<circleFilterFlareDilateR>7</circleFilterFlareDilateR> <!--光斑检测的腐蚀半径[3-10]-->
	<farFocusBlurEnhanceEnable>0</farFocusBlurEnhanceEnable> <!--主体离得远时虚化增强使能-->
    </AlgorithmRFInfo>

    <ExternConfig>
        <packDispRefMatImg>0</packDispRefMatImg> <!-- 是否存储中间数据结果 dxo open, product close-->
    </ExternConfig>
    
</Config>
